=== debian/changelog ===
tl-expected (1.0.0~dfsg-2) unstable; urgency=medium

  * Arch independent package version config.
    - This increases CMake minimal required version to 3.14.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 26 Jan 2020 15:44:22 +0300

tl-expected (1.0.0~dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration. 

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jan 2020 14:08:07 -0500

tl-expected (1.0.0~dfsg-1) unstable; urgency=low

  * Initial upload. (Closes: #949401)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 22 Jan 2020 21:51:33 +0300
