=== debian/watch ===
version=4
opts="\
        dversionmangle=s%~dfsg$%%, repacksuffix=~dfsg, \
        filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/TartanLlama/expected/releases/latest \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
