## tl-expected 1.1.0

=== debian/changelog ===
tl-expected (1.1.0-2) unstable; urgency=medium

  * New Migrate-to-Catch2-v3.patch (Closes: #1054702)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 23 Dec 2023 12:55:48 +0300

tl-expected (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Rewrite d/watch file for updated GitHub HTML code.
  * Remove previous patches, because they are no longer needed.
  * Build depend on catch2 instead of outdated catch.
  * New Prefer-packaged-Catch2.patch to avoid network access.
  * Add upstream metadata.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 18 Jun 2023 00:23:17 +0300

tl-expected (1.0.0~dfsg-3) unstable; urgency=medium

  * New Include-memory-header.patch (Closes: #1016247)
  * Migrate to Debhelper compatibility level 13.
    - Remove explicit value of the CMAKE_SKIP_INSTALL_ALL_DEPENDENCY variable.
  * Bump Standards-Version to 4.6.1, no required changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 31 Jul 2022 11:05:37 +0300
