=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

ifneq ($(filter nocheck, $(DEB_BUILD_OPTIONS)),)
override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF
endif
